import request from '@/utils/request'

// 获取职位列表数据
export function getPositionLists(params) {
  return request({
    url: 'api/position/getlistbypage',
    method: 'get',
    params
  })
}

// 获取职位详情数据
export function getposition(id) {
  return request({
    url: 'api/position/getdetails',
    method: 'get',
    params: {
      id
    }
  })
}

// 添加职位数据
export function addPosition(data) {
  return request({
    url: 'api/position/add',
    method: 'post',
    data
  })
}

// 编辑职位信息数据
export function editPosition(data) {
  return request({
    url: 'api/position/update',
    method: 'post',
    data
  })
}

// 删除职位信息数据
export function deletePosition(ids) {
  return request({
    url: 'api/position/delete',
    method: 'post',
    data: {
      ids
    }
  })
}
// 获取职位数据
export function getPositionData(params) {
    return request({
      url: 'api/position/getlistdrop',
      method: 'get',
      params
    })
  }
